ZenMagick 0.9.10


zenmagick.store.shared.mvc.controller.ajax\ZMAjaxCountryController
mvc\controller\ajax\ZMAjaxCountryController.php at line 30

Class ZMAjaxCountryController

ZMObject
└─ZMController
└─ZMAjaxController
└─ZMAjaxCountryController

public class ZMAjaxCountryController
extends ZMAjaxController

Ajax controller for JSON country data.

Author:
DerManoMann
Deprecated:
use ZMRpcController instead

Method Summary
void

__construct(string requestId)

Create new instance.

void

getCountryListJSON(ZMRequest request)

Generates a JSON list of all countries.

void

getZonesForCountryIdJSON(ZMRequest request)

Generates a JSON list of all zones for the requested country id.

Methods inherited from org.zenmagick.mvc.controller\ZMAjaxController
__construct, flattenObject, process, processGet, setJSONHeader, toJSON
Methods inherited from org.zenmagick.mvc.controller\ZMController
__construct, findView, getFormData, getId, getView, getViewData, isAjax, isFormSubmit, preProcess, process, processGet, processPost, setContentType, setId, setView, validate, validateFormData, validateSession
Methods inherited from org.zenmagick.core\ZMObject
__construct, attachMethod, get, getAttachedMethods, getProperties, getPropertyNames, set, singleton

Method Detail

mvc\controller\ajax\ZMAjaxCountryController.php at line 35

__construct

public void __construct(string requestId)

Create new instance.

Parameters:
requestId - Optional requestId; default is null to use the request id.

mvc\controller\ajax\ZMAjaxCountryController.php at line 54

getCountryListJSON

public void getCountryListJSON(ZMRequest request)

Generates a JSON list of all countries.

Parameters:
request - The current request.

mvc\controller\ajax\ZMAjaxCountryController.php at line 70

getZonesForCountryIdJSON

public void getZonesForCountryIdJSON(ZMRequest request)

Generates a JSON list of all zones for the requested country id.

Request parameter (either or):

Parameters:
request - The current request.

ZenMagick 0.9.10